Foxit PDF SDK

Public Member Functions | List of all members
FoxitPDFSDKPython2.Line Class Reference
Inheritance diagram for FoxitPDFSDKPython2.Line:

## Public Member Functions
def | Line ()
| Constructor.
def | Line (annot)
| Constructor, with parent class object. More...
def | EnableCaption (cap)
| Set the flag which is used to decide whether the content of current line annotation should be replicated as a caption in the appearance or not. More...
def | GetCaptionOffset ()
| Get caption offset values. More...
def | GetCaptionPositionType ()
| Get the position type of caption. More...
def | GetEndPoint ()
| Get the end point. More...
def | GetLeaderLineExtensionLength ()
| Get the length of leader line extension. More...
def | GetLeaderLineLength ()
| Get the length of leader line. More...
def | GetLeaderLineOffset ()
| Get the length of leader line offset. More...
def | GetLineEndStyle ()
| Get line ending style of the end point. More...
def | GetLineStartStyle ()
| Get line ending style of the start point. More...
def | GetMeasureConversionFactor (measure_type)
| Get the conversion factor for measuring. More...
def | GetMeasureRatio ()
| Get the scale ratio string for measuring. More...
def | GetMeasureRatioW ()
| Get the scale ratio Unicode string for measuring. More...
def | GetMeasureUnit (measure_type)
| Get the label for displaying the units for measuring. More...
def | GetMeasureUnitW (measure_type)
| Get the label (in Unicode string) for displaying the units for measuring. More...
def | GetStartPoint ()
| Get the start point. More...
def | GetStyleFillColor ()
| Get fill color for ending styles. More...
def | HasCaption ()
| Check whether the content of current line annotation should be replicated as a caption in the appearance or not. More...
def | SetCaptionOffset (offset)
| Set caption offset values. More...
def | SetCaptionPositionType (cap_position)
| Set the position type of caption. More...
def | SetEndPoint (point)
| Set the end point. More...
def | SetLeaderLineExtensionLength (extension_length)
| Set the length of leader line extension. More...
def | SetLeaderLineLength (length)
| Set the length of leader line. More...
def | SetLeaderLineOffset (offset)
| Set the length of leader line offset. More...
def | SetLineEndStyle (ending_style)
| Set line ending style of the end point. More...
def | SetLineStartStyle (ending_style)
| Set line ending style of the start point. More...
def | SetMeasureConversionFactor (measure_type, factor)
| Set the conversion factor for measuring. More...
def | SetMeasureRatio (ratio)
| Set the scale ratio string for measuring. More...
def | SetMeasureUnit (measure_type, unit)
| Set the label for displaying the units for measuring. More...
def | SetStartPoint (point)
| Set the start point. More...
def | SetStyleFillColor (color)
| Set fill color for ending styles. More...
Public Member Functions inherited from FoxitPDFSDKPython2.Markup
def | Markup ()
| Constructor.
def | AddReply ()
| Add a new reply to the end of reply list. More...
def | AddRichText (content, style)
| Add a new rich text string to the end. More...
def | AddStateAnnot (title, model, state)
| Add a new state annotation. More...
def | GetBorderOpacity ()
| Get the border opacity of the annotation. More...
def | GetCreationDateTime ()
| Get creation date time. More...
def | GetFillOpacity ()
| Get the fill opacity of the annotation. More...
def | GetGroupElements ()
| Get an element (as markup annotation) from the group that current markup annotation belongs to. More...
def | GetGroupHeader ()
| Get the header annotation (as primary annotation) of the group that current markup annotation belongs to. More...
def | GetIntent ()
| Get intent name. More...
def | GetOpacity ()
| Get opacity value. More...
def | GetPopup ()
| Get related pop-up annotation. More...
def | GetReply (index)
| Get a reply by index. More...
def | GetReplyCount ()
| Count all replies. More...
def | GetRichTextContent (index)
| Get text string of a rich text string specified by index. More...
def | GetRichTextCount ()
| Get the count of rich text strings. More...
def | GetRichTextStyle (index)
| Get style data of a rich text string specified by index. More...
def | GetStateAnnots (model)
| Get all state annotations in a specified state model. More...
def | GetSubject ()
| Get subject string. More...
def | GetTitle ()
| Get title string. More...
def | InsertRichText (index, content, style)
| Insert a new rich text string to the place which is specified by index. More...
def | IsGrouped ()
| Check whether current markup annotation is in a group or not. More...
def | RemoveAllReplies ()
| Remove all the replies. More...
def | RemoveAllStateAnnots ()
| Remove all the state annotations. More...
def | RemovePopup ()
| Remove related pop-up annotation. More...
def | RemoveReply (index)
| Remove a reply by index. More...
def | RemoveRichText (index)
| Remove a rich text string specified by index. More...
def | SetBorderOpacity (opacity)
| Set the border opacity of the annotation. More...
def | SetCreationDateTime (date_time)
| Set creation date time. More...
def | SetFillOpacity (opacity)
| Set the fill opacity of the annotation. More...
def | SetIntent (intent)
| Set intent name. More...
def | SetOpacity (opacity)
| Set opacity value. More...
def | SetPopup (popup)
| Set related pop-up annotation. More...
def | SetRichTextContent (index, content)
| Set text string of a rich text string specified by index. More...
def | SetRichTextStyle (index, style)
| Set style data of a rich text string specified by index. More...
def | SetSubject (subject)
| Set subject string. More...
def | SetTitle (title)
| Set title string. More...
def | Ungroup ()
| Ungroup current markup annotation from the group it belongs to. More...
Public Member Functions inherited from FoxitPDFSDKPython2.Annot
def | Annot ()
| Constructor.
def | Annot (annot)
| Constructor, with another annotation object. More...
def | GetAppearanceStream (type, appearance_state)
| Get annotation's appearance stream with specified type and state. More...
def | GetBorderColor ()
| Get border color. More...
def | GetBorderInfo ()
| Get border information. More...
def | GetContent ()
| Get content. More...
def | GetDeviceRect (matrix)
| Get annotation rectangle in device coordinate system. More...
def | GetDict ()
| Get annotation's dictionary object. More...
def | GetDisplayMatrix (page_display_matrix)
| Get the display matrix, from [PDF coordinate system] () to targeted device coordinate system. More...
def | GetFlags ()
| Get annotation flags. More...
def | GetIndex ()
| Get the index of current annotation in the page which current annotation belongs to. More...
def | GetModifiedDateTime ()
| Get last modified date time. More...
def | GetOptionalContent ()
| Get the PDF dictionary of annotation's optional content. More...
def | GetPage ()
| Get the related PDF page. More...
def | GetRect ()
| Get rectangle, in [PDF coordinate system] (). More...
def | GetType ()
| Get actual annotation type of current annotation. More...
def | GetUniqueID ()
| Get unique ID. More...
def | HasProperty (property)
| Whether current annotation has the specified annotation's property. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...
def | IsMarkup ()
| Check if current annotation is a markup annotation. More...
def | Move (rect)
| Move current annotation to a new position, specified by a new rectangle in [PDF coordinate system] (). More...
def | Move (rect, is_reset_appearance)
| Move current annotation to a new position, specified by a new rectangle in [PDF coordinate system] (). More...
def | RemoveProperty (property)
| Remove a specified annotation's property. More...
def | ResetAppearanceStream ()
| Reset appearance stream. More...
def | SetBorderColor (color)
| Set border color. More...
def | SetBorderInfo (border)
| Set border information. More...
def | SetContent (content)
| Set content. More...
def | SetFlags (flags)
| Set annotation flags. More...
def | SetModifiedDateTime (date_time)
| Set last modified date time. More...
def | SetUniqueID (unique_id)
| Set unique ID. More...

## Additional Inherited Members
Static Public Attributes inherited from FoxitPDFSDKPython2.Markup
| e_EndingStyleButt = _fsdk.Markup_e_EndingStyleButt
| A short line at the endpoint perpendicular to the line itself.
| e_EndingStyleCircle = _fsdk.Markup_e_EndingStyleCircle
| A circle filled with the annotation's interior color if any.
| e_EndingStyleClosedArrow = _fsdk.Markup_e_EndingStyleClosedArrow
| Two short lines meeting in an acute angle as in the OpenArrow style and connected by a third line to form a triangular closed arrowhead filled with the annotation's interior color if any.
| e_EndingStyleDiamond = _fsdk.Markup_e_EndingStyleDiamond
| A diamond shape filled with the annotation's interior color if any.
| e_EndingStyleNone = _fsdk.Markup_e_EndingStyleNone
| No special line ending.
| e_EndingStyleOpenArrow = _fsdk.Markup_e_EndingStyleOpenArrow
| Two short lines meeting in an acute angle to form an open arrowhead.
| e_EndingStyleRClosedArrow = _fsdk.Markup_e_EndingStyleRClosedArrow
| A triangular closed arrowhead in the reverse direction from ClosedArrow.
| e_EndingStyleROpenArrow = _fsdk.Markup_e_EndingStyleROpenArrow
| Two short lines in the reverse direction from OpenArrow.
| e_EndingStyleSlash = _fsdk.Markup_e_EndingStyleSlash
| A short line at the endpoint approximately 30 degrees clockwise from perpendicular to the line itself.
| e_EndingStyleSquare = _fsdk.Markup_e_EndingStyleSquare
| A square filled with the annotation's interior color if any.
| e_MeasureTypeA = _fsdk.Markup_e_MeasureTypeA
| Measurement of area.
| e_MeasureTypeD = _fsdk.Markup_e_MeasureTypeD
| Measurement of distance in any direction.
| e_MeasureTypeS = _fsdk.Markup_e_MeasureTypeS
| Measurement of the slope of a line.
| e_MeasureTypeT = _fsdk.Markup_e_MeasureTypeT
| Measurement of angles.
| e_MeasureTypeX = _fsdk.Markup_e_MeasureTypeX
| Measurement of change along the x axis.
| e_MeasureTypeY = _fsdk.Markup_e_MeasureTypeY
| Measurement of change along the y axis.
| e_StateAccepted = _fsdk.Markup_e_StateAccepted
| (Used with state model FoxitPDFSDKPython2.Markup.e_StateModelReview ) The user agrees with the change.
| e_StateCancelled = _fsdk.Markup_e_StateCancelled
| (Used with state model FoxitPDFSDKPython2.Markup.e_StateModelReview ) The change has been cancelled.
| e_StateCompleted = _fsdk.Markup_e_StateCompleted
| (Used with state model FoxitPDFSDKPython2.Markup.e_StateModelReview ) The change has been completed.
| e_StateDeferred = _fsdk.Markup_e_StateDeferred
| (Used with state model FoxitPDFSDKPython2.Markup.e_StateModelReview ) The change has been deferred.
| e_StateFuture = _fsdk.Markup_e_StateFuture
| (Used with state model FoxitPDFSDKPython2.Markup.e_StateModelReview ) The change will be working in the future.
| e_StateMarked = _fsdk.Markup_e_StateMarked
| (Used with state model FoxitPDFSDKPython2.Markup.e_StateModelMarked ) The annotation has been marked by the user.
| e_StateModelMarked = _fsdk.Markup_e_StateModelMarked
| Markup annotation state model: marked.
| e_StateModelReview = _fsdk.Markup_e_StateModelReview
| Markup annotation state model: review.
| e_StateNone = _fsdk.Markup_e_StateNone
| (Used with state model FoxitPDFSDKPython2.Markup.e_StateModelReview ) The user has indicated nothing about the change.
| e_StateRejected = _fsdk.Markup_e_StateRejected
| (Used with state model FoxitPDFSDKPython2.Markup.e_StateModelReview ) The user disagrees with the change.
| e_StateUnmarked = _fsdk.Markup_e_StateUnmarked
| (Used with state model FoxitPDFSDKPython2.Markup.e_StateModelMarked ) The annotation has not been marked by the user.
Static Public Attributes inherited from FoxitPDFSDKPython2.Annot
| e_3D = _fsdk.Annot_e_3D
| Annotation type: 3D annotation. One of standard annotation in <PDF reference 1.7>.
| e_AppearanceTypeDown = _fsdk.Annot_e_AppearanceTypeDown
| Annotation's down appearance.
| e_AppearanceTypeNormal = _fsdk.Annot_e_AppearanceTypeNormal
| Annotation's normal appearance.
| e_AppearanceTypeRollover = _fsdk.Annot_e_AppearanceTypeRollover
| Annotation's rollover appearance.
| e_Caret = _fsdk.Annot_e_Caret
| Annotation type: caret annotation. One of standard annotation in <PDF reference 1.7>.
| e_Circle = _fsdk.Annot_e_Circle
| Annotation type: circle annotation. One of standard annotation in <PDF reference 1.7>.
| e_FileAttachment = _fsdk.Annot_e_FileAttachment
| Annotation type: file attachment annotation. One of standard annotation in <PDF reference 1.7>.
| e_FlagHidden = _fsdk.Annot_e_FlagHidden
| Annotation flag: hidden. More...
| e_FlagInvisible = _fsdk.Annot_e_FlagInvisible
| Annotation flag: invisible. More...
| e_FlagLocked = _fsdk.Annot_e_FlagLocked
| Annotation flag: locked. More...
| e_FlagLockedContents = _fsdk.Annot_e_FlagLockedContents
| Annotation flag: locked contents. More...
| e_FlagNoRotate = _fsdk.Annot_e_FlagNoRotate
| Annotation flag: no rotate. More...
| e_FlagNoView = _fsdk.Annot_e_FlagNoView
| Annotation flag: no view. More...
| e_FlagNoZoom = _fsdk.Annot_e_FlagNoZoom
| Annotation flag: no zoom. More...
| e_FlagPrint = _fsdk.Annot_e_FlagPrint
| Annotation flag: print. More...
| e_FlagReadOnly = _fsdk.Annot_e_FlagReadOnly
| Annotation flag: read only. More...
| e_FlagToggleNoView = _fsdk.Annot_e_FlagToggleNoView
| Annotation flag: toggle no view. More...
| e_FreeText = _fsdk.Annot_e_FreeText
| Annotation type: free text annotation. One of standard annotation in <PDF reference 1.7>.
| e_Highlight = _fsdk.Annot_e_Highlight
| Annotation type: highlight annotation. One of standard annotation in <PDF reference 1.7>.
| e_HighlightingInvert = _fsdk.Annot_e_HighlightingInvert
| Highlighting mode: Invert, which is to invert the contents of the annotation rectangle.
| e_HighlightingNone = _fsdk.Annot_e_HighlightingNone
| Highlighting mode: No highlighting.
| e_HighlightingOutline = _fsdk.Annot_e_HighlightingOutline
| Highlighting mode: Outline, which is to invert the annotation's border.
| e_HighlightingPush = _fsdk.Annot_e_HighlightingPush
| Highlighting mode: Push, which is to display the annotation's down appearance, if any.
| e_HighlightingToggle = _fsdk.Annot_e_HighlightingToggle
| Highlighting mode: Toggle. This is only useful for widget annotation.
| e_Ink = _fsdk.Annot_e_Ink
| Annotation type: ink annotation. One of standard annotation in <PDF reference 1.7>.
| e_Line = _fsdk.Annot_e_Line
| Annotation type: line annotation. One of standard annotation in <PDF reference 1.7>.
| e_Link = _fsdk.Annot_e_Link
| Annotation type: link annotation. One of standard annotation in <PDF reference 1.7>.
| e_MKEntryBackgroundColor = _fsdk.Annot_e_MKEntryBackgroundColor
| Background color entry. "BG" in MK dictionary.
| e_MKEntryBorderColor = _fsdk.Annot_e_MKEntryBorderColor
| Border color entry. "BC" in MK dictionary.
| e_MKEntryDownCaption = _fsdk.Annot_e_MKEntryDownCaption
| Down caption (or alternate caption) entry. "AC" in MK dictionary. More...
| e_MKEntryDownIcon = _fsdk.Annot_e_MKEntryDownIcon
| Down icon (or alternate icon) entry. "IX" in MK dictionary. More...
| e_MKEntryIconCaptionRelation = _fsdk.Annot_e_MKEntryIconCaptionRelation
| Icon and caption relation entry. "TP" in MK dictionary. More...
| e_MKEntryIconFit = _fsdk.Annot_e_MKEntryIconFit
| Icon fit information entry. "IF" in MK dictionary. More...
| e_MKEntryNormalCaption = _fsdk.Annot_e_MKEntryNormalCaption
| Normal caption entry. "CA" in MK dictionary. More...
| e_MKEntryNormalIcon = _fsdk.Annot_e_MKEntryNormalIcon
| Normal icon entry. "I" in MK dictionary. More...
| e_MKEntryRolloverCaption = _fsdk.Annot_e_MKEntryRolloverCaption
| Rollover caption entry. "RC" in MK dictionary. More...
| e_MKEntryRolloverIcon = _fsdk.Annot_e_MKEntryRolloverIcon
| Rollover icon entry. "RI" in MK dictionary. More...
| e_MKEntryRotation = _fsdk.Annot_e_MKEntryRotation
| Rotation entry. "R" in MK dictionary.
| e_MKRelationCaptionAboveIcon = _fsdk.Annot_e_MKRelationCaptionAboveIcon
| Caption above the icon.
| e_MKRelationCaptionBelowIcon = _fsdk.Annot_e_MKRelationCaptionBelowIcon
| Caption below the icon.
| e_MKRelationCaptionLeft = _fsdk.Annot_e_MKRelationCaptionLeft
| Caption to the left of the icon.
| e_MKRelationCaptionOvrlayOnIcon = _fsdk.Annot_e_MKRelationCaptionOvrlayOnIcon
| Caption overlaid directly on the icon.
| e_MKRelationCaptionRight = _fsdk.Annot_e_MKRelationCaptionRight
| Caption to the right of the icon.
| e_MKRelationNoCaption = _fsdk.Annot_e_MKRelationNoCaption
| No caption; icon only.
| e_MKRelationNoIcon = _fsdk.Annot_e_MKRelationNoIcon
| No icon; captin only.
| e_Movie = _fsdk.Annot_e_Movie
| Annotation type: movie annotation. One of standard annotation in <PDF reference 1.7>.
| e_Note = _fsdk.Annot_e_Note
| Annotation type: note annotation, which is just "Text" annotation - one of standard annotation in <PDF reference 1.7>.
| e_PagingSeal = _fsdk.Annot_e_PagingSeal
| Annotation type: paging seal annotation. A Foxit PDF SDK custom annotation type (not a standard annotation type).
| e_Polygon = _fsdk.Annot_e_Polygon
| Annotation type: polygon annotation. One of standard annotation in <PDF reference 1.7>.
| e_PolyLine = _fsdk.Annot_e_PolyLine
| Annotation type: polyline annotation. One of standard annotation in <PDF reference 1.7>.
| e_Popup = _fsdk.Annot_e_Popup
| Annotation type: pop-up annotation. One of standard annotation in <PDF reference 1.7>.
| e_PrinterMark = _fsdk.Annot_e_PrinterMark
| Annotation type: printer's mark annotation. One of standard annotation in <PDF reference 1.7>.
| e_PropertyBorderColor = _fsdk.Annot_e_PropertyBorderColor
| Annotation property: border color. More...
| e_PropertyCreationDate = _fsdk.Annot_e_PropertyCreationDate
| Annotation property: creation date. More...
| e_PropertyFillColor = _fsdk.Annot_e_PropertyFillColor
| Annotation property: fill color. More...
| e_PropertyModifiedDate = _fsdk.Annot_e_PropertyModifiedDate
| Annotation property: modified date.
| e_PSInk = _fsdk.Annot_e_PSInk
| Annotation type: pressure sensitive ink annotation.
| e_Redact = _fsdk.Annot_e_Redact
| Annotation type: redact annotation.
| e_RichMedia = _fsdk.Annot_e_RichMedia
| Annotation type: rich media annotation.
| e_Screen = _fsdk.Annot_e_Screen
| Annotation type: screen annotation. One of standard annotation in <PDF reference 1.7>.
| e_Sound = _fsdk.Annot_e_Sound
| Annotation type: sound annotation. One of standard annotation in <PDF reference 1.7>.
| e_Square = _fsdk.Annot_e_Square
| Annotation type: square annotation. One of standard annotation in <PDF reference 1.7>.
| e_Squiggly = _fsdk.Annot_e_Squiggly
| Annotation type: squiggly annotation. One of standard annotation in <PDF reference 1.7>.
| e_Stamp = _fsdk.Annot_e_Stamp
| Annotation type: stamp annotation. One of standard annotation in <PDF reference 1.7>.
| e_StrikeOut = _fsdk.Annot_e_StrikeOut
| Annotation type: strikeout annotation. One of standard annotation in <PDF reference 1.7>.
| e_TrapNet = _fsdk.Annot_e_TrapNet
| Annotation type: trap network annotation. One of standard annotation in <PDF reference 1.7>.
| e_Underline = _fsdk.Annot_e_Underline
| Annotation type: underline annotation. One of standard annotation in <PDF reference 1.7>.
| e_UnknownType = _fsdk.Annot_e_UnknownType
| Annotation type: unknown.
| e_Watermark = _fsdk.Annot_e_Watermark
| Annotation type: watermark annotation. One of standard annotation in <PDF reference 1.7>.
| e_Widget = _fsdk.Annot_e_Widget
| Annotation type: widget annotation. One of standard annotation in <PDF reference 1.7>. More...

## Detailed Description

A line annotation displays a single straight line on the page.
Line annotation is a kind of markup annotation, so class Line is derived from class Markup , and also offers functions to get/set line annotation's properties and reset appearance stream of a line annotation.
For a line annotation, start point and end point are required. So please ensure that a line annotation has valid start point and end point before resetting its appearance stream; otherwise the line annotation cannot be reset appearance stream.

Note
  For a newly created line annotation, if user calls function FoxitPDFSDKPython2.Annot.ResetAppearanceStream directly after setting required start point and end point property and not setting any other properties, the default appearance will be used:
  border width = 2.0, border style = FoxitPDFSDKPython2.BorderInfo.e_Solid , border color = 0xFFFF0000 (red), opacity = 1, line starting/ending styles = "None", no caption is enabled.

See also
  Markup

## Constructor & Destructor Documentation

## ◆ Line()

def FoxitPDFSDKPython2.Line.Line | ( |  | annot | ) |

Constructor, with parent class object.

Parameters

  [in] | annot | Parent class object.

## Member Function Documentation

## ◆ EnableCaption()

def FoxitPDFSDKPython2.Line.EnableCaption | ( |  | cap | ) |

Set the flag which is used to decide whether the content of current line annotation should be replicated as a caption in the appearance or not.

This property has effect on line annotation's appearance. If user wants the effect to be shown in annotation's appearance, please call function FoxitPDFSDKPython2.Annot.ResetAppearanceStream after this function.

Parameters

  [in] | cap | true means the content should be replicated as a caption in the appearance of current line annotation, while false means not.

Returns
  None.

## ◆ GetCaptionOffset()

def FoxitPDFSDKPython2.Line.GetCaptionOffset | ( |  | ) |

Get caption offset values.

Caption offset is the offset of caption from its normal position.
Only when current line annotation have a caption, this property is meaningful and has effect on line's annotation's appearance. Function FoxitPDFSDKPython2.Line.HasCaption can be used to check if current line annotation should have a caption, and function FoxitPDFSDKPython2.Line.EnableCaption can be used to change the status.

Returns
  A Offset object that receives horizontal offset and vertical offset for caption.
  A Offset object with value (0, 0) may also mean that no caption offset values can be found.

## ◆ GetCaptionPositionType()

def FoxitPDFSDKPython2.Line.GetCaptionPositionType | ( |  | ) |

Get the position type of caption.

Only when current line annotation have a caption, this property is meaningful and has effect on line's annotation's appearance. Function FoxitPDFSDKPython2.Line.HasCaption can be used to check if current line annotation should have a caption, and function FoxitPDFSDKPython2.Line.EnableCaption can be used to change the status.

Returns
  The position type of caption. Please refer to values starting from FoxitPDFSDKPython2.Line.e_CapPosInline and this would be one of these values.

## ◆ GetEndPoint()

def FoxitPDFSDKPython2.Line.GetEndPoint | ( |  | ) |

Get the end point.

Start point and end point are required for a line annotation. They have effect on line annotation's appearance.

Returns
  The end point. A point with value (0, 0) may also mean that no start point is found.

## ◆ GetLeaderLineExtensionLength()

def FoxitPDFSDKPython2.Line.GetLeaderLineExtensionLength | ( |  | ) |

Get the length of leader line extension.

Leader line extensions extend from the line proper 180 degrees from the leader lines.
For more details, please refer to "Line Annotations" in Section 8.4.5 "Annotation Types" of <PDF reference 1.7> .

Returns
  The length of leader line extension.

## ◆ GetLeaderLineLength()

def FoxitPDFSDKPython2.Line.GetLeaderLineLength | ( |  | ) |

Get the length of leader line.

Leader lines extend from each endpoint of a line perpendicular to the line itself. A positive value means that the leader lines appear in the direction that is clockwise when traversing the line from its start point to its end point; a negative value indicates the opposite direction. Specially, even the length of leader line is 0, the line annotation can still have leader line extension and leader line offset. For this case, the direction of leader line is same as positive length value in order that the direction or position of leader line extension and offset can still be judged.
For more details, please refer to "Line Annotations" in Section 8.4.5 "Annotation Types" of <PDF reference 1.7> .

Returns
  The length of leader line.

## ◆ GetLeaderLineOffset()

def FoxitPDFSDKPython2.Line.GetLeaderLineOffset | ( |  | ) |

Get the length of leader line offset.

Leader line offset is the amount of empty space between the endpoints of the line annotation and the beginning of the leader lines.
For more details, please refer to "Line Annotations" in Section 8.4.5 "Annotation Types" of <PDF reference 1.7> .

Returns
  The length of leader line offset.

## ◆ GetLineEndStyle()

def FoxitPDFSDKPython2.Line.GetLineEndStyle | ( |  | ) |

Get line ending style of the end point.

This property has effect on line annotation's appearance.

Returns
  The line ending style of the end point. Please refer to values starting from FoxitPDFSDKPython2.Markup.e_EndingStyleNone and this would be one of these values.

## ◆ GetLineStartStyle()

def FoxitPDFSDKPython2.Line.GetLineStartStyle | ( |  | ) |

Get line ending style of the start point.

This property has effect on line annotation's appearance.

Returns
  The line ending style of the start point. Please refer to values starting from FoxitPDFSDKPython2.Markup.e_EndingStyleNone and this would be one of these values.

## ◆ GetMeasureConversionFactor()

def FoxitPDFSDKPython2.Line.GetMeasureConversionFactor | ( |  | measure_type | ) |

Get the conversion factor for measuring.

A line annotation may have a measure dictionary that specifies an alternate coordinate system for a region of a page. Please refer to P745 in <PDF Reference 1.7> for more details.

Parameters

  [in] | measure_type | Measure type. Please refer to values starting from FoxitPDFSDKPython2.Markup.e_MeasureTypeX and this would be one of these values.

Returns
  The conversion factor.

## ◆ GetMeasureRatio()

def FoxitPDFSDKPython2.Line.GetMeasureRatio | ( |  | ) |

Get the scale ratio string for measuring.

A line annotation may have a measure dictionary that specifies an alternate coordinate system for a region of a page. Scale ratio string expresses the scale ratio of the drawing in the region. Please refer to P745 in <PDF Reference 1.7> for more details.

Returns
  A UTF-8 byte string that expresses the scale ratio.

## ◆ GetMeasureRatioW()

def FoxitPDFSDKPython2.Line.GetMeasureRatioW | ( |  | ) |

Get the scale ratio Unicode string for measuring.

A line annotation may have a measure dictionary that specifies an alternate coordinate system for a region of a page. Scale ratio string expresses the scale ratio of the drawing in the region. Please refer to P745 in <PDF Reference 1.7> for more details.

Returns
  A Unicode string that expresses the scale ratio.

## ◆ GetMeasureUnit()

def FoxitPDFSDKPython2.Line.GetMeasureUnit | ( |  | measure_type | ) |

Get the label for displaying the units for measuring.

A line annotation may have a measure dictionary that specifies an alternate coordinate system for a region of a page. Please refer to P745 in <PDF Reference 1.7> for more details.

Parameters

  [in] | measure_type | Measure type. Please refer to values starting from FoxitPDFSDKPython2.Markup.e_MeasureTypeX and this should be one of these values.

Returns
  A UTF-8 text string that represents a label for displaying the units.

## ◆ GetMeasureUnitW()

def FoxitPDFSDKPython2.Line.GetMeasureUnitW | ( |  | measure_type | ) |

Get the label (in Unicode string) for displaying the units for measuring.

A line annotation may have a measure dictionary that specifies an alternate coordinate system for a region of a page. Please refer to P745 in <PDF Reference 1.7> for more details.

Parameters

  [in] | measure_type | Measure type. Please refer to values starting from FoxitPDFSDKPython2.Markup.e_MeasureTypeX and this should be one of these values.

Returns
  A Unicode string that represents a label for displaying the units.

## ◆ GetStartPoint()

def FoxitPDFSDKPython2.Line.GetStartPoint | ( |  | ) |

Get the start point.

Start point and end point are required for a line annotation. They have effect on line annotation's appearance.

Returns
  The start point. A point with value (0, 0) may also mean that no start point is found.

## ◆ GetStyleFillColor()

def FoxitPDFSDKPython2.Line.GetStyleFillColor | ( |  | ) |

Get fill color for ending styles.

This property has effect on line annotation's appearance. Fill color is used for some line ending styles:
"Square", "Circle", "Diamond", "ClosedArrow", "RClosedArrow".

Returns
  The fill color of ending styles. Format: 0xRRGGBB. If no fill color can be found, 0x000000 will be returned.

## ◆ HasCaption()

def FoxitPDFSDKPython2.Line.HasCaption | ( |  | ) |

Check whether the content of current line annotation should be replicated as a caption in the appearance or not.

Returns
  true means the content should be replicated as a caption in the appearance of current line annotation. false means not to replicate the content as a caption in the appearance of current line annotation.

## ◆ SetCaptionOffset()

def FoxitPDFSDKPython2.Line.SetCaptionOffset | ( |  | offset | ) |

Set caption offset values.

Caption offset is the offset of caption from its normal position.
Only when current line annotation have a caption, this property is meaningful and has effect on line's annotation's appearance. Function FoxitPDFSDKPython2.Line.HasCaption can be used to check if current line annotation should have a caption, and function FoxitPDFSDKPython2.Line.EnableCaption can be used to change the status.
If user wants the effect to be shown in annotation's appearance, please call function FoxitPDFSDKPython2.Annot.ResetAppearanceStream after this function.

Parameters

  [in] | offset | New offset values .

Returns
  None.

## ◆ SetCaptionPositionType()

def FoxitPDFSDKPython2.Line.SetCaptionPositionType | ( |  | cap_position | ) |

Set the position type of caption.

Only when current line annotation have a caption, this property is meaningful and has effect on line's annotation's appearance. Function FoxitPDFSDKPython2.Line.HasCaption can be used to check if current line annotation should have a caption, and function FoxitPDFSDKPython2.Line.EnableCaption can be used to change the status.
If user wants the effect to be shown in annotation's appearance, please call function FoxitPDFSDKPython2.Annot.ResetAppearanceStream after this function.

Parameters

  [in] | cap_position | The position type of caption. Please refer to values starting from FoxitPDFSDKPython2.Line.e_CapPosInline and this should be one of these values.

Returns
  None.

## ◆ SetEndPoint()

def FoxitPDFSDKPython2.Line.SetEndPoint | ( |  | point | ) |

Set the end point.

Start point and end point are required for a line annotation. They have effect on line annotation's appearance.
If user wants the new end point has effect on annotation's appearance, please call function FoxitPDFSDKPython2.Annot.ResetAppearanceStream after setting new end point.

Parameters

  [in] | point | New point that specifies the end point.

Returns
  None.

## ◆ SetLeaderLineExtensionLength()

def FoxitPDFSDKPython2.Line.SetLeaderLineExtensionLength | ( |  | extension_length | ) |

Set the length of leader line extension.

Leader line extensions extend from the line proper 180 degrees from the leader lines.
For more details, please refer to "Line Annotations" in Section 8.4.5 "Annotation Types" of <PDF reference 1.7> .

Parameters

  [in] | extension_length | The length of leader line extension. It should be a non-negative value. 0 means no leader line extension.

Returns
  None.

## ◆ SetLeaderLineLength()

def FoxitPDFSDKPython2.Line.SetLeaderLineLength | ( |  | length | ) |

Set the length of leader line.

Leader lines extend from each endpoint of a line perpendicular to the line itself. A positive value means that the leader lines appear in the direction that is clockwise when traversing the line from its start point to its end point; a negative value indicates the opposite direction. Specially, even the length of leader line is 0, the line annotation can still have leader line extension and leader line offset. For this case, the direction of leader line is same as positive length value in order that the direction or position of leader line extension and offset can still be judged.
For more details, please refer to "Line Annotations" in Section 8.4.5 "Annotation Types" of <PDF reference 1.7> .

Parameters

  [in] | length | The length of leader lines. See details part for more details. 0 means no leader line.

Returns
  None.

## ◆ SetLeaderLineOffset()

def FoxitPDFSDKPython2.Line.SetLeaderLineOffset | ( |  | offset | ) |

Set the length of leader line offset.

Leader line offset is the amount of empty space between the endpoints of the line annotation and the beginning of the leader lines.
For more details, please refer to "Line Annotations" in Section 8.4.5 "Annotation Types" of <PDF reference 1.7> .

Parameters

  [in] | offset | The length of leader line offset. It should be a non-negative value. 0 means no leader line extension.

Returns
  None.

## ◆ SetLineEndStyle()

def FoxitPDFSDKPython2.Line.SetLineEndStyle | ( |  | ending_style | ) |

Set line ending style of the end point.

This property has effect on line annotation's appearance. If user wants the new line ending style has effect on annotation's appearance, please call function FoxitPDFSDKPython2.Annot.ResetAppearanceStream after setting new line ending style.

Parameters

  [in] | ending_style | The line ending style for the end point to be set. Please refer to values starting from FoxitPDFSDKPython2.Markup.e_EndingStyleNone and this should be one of these values.

Returns
  None.

## ◆ SetLineStartStyle()

def FoxitPDFSDKPython2.Line.SetLineStartStyle | ( |  | ending_style | ) |

Set line ending style of the start point.

This property has effect on line annotation's appearance. If user wants the new line ending style has effect on annotation's appearance, please call function FoxitPDFSDKPython2.Annot.ResetAppearanceStream after setting new line ending style.

Parameters

  [in] | ending_style | The line ending style for the start point to be set. Please refer to values starting from FoxitPDFSDKPython2.Markup.e_EndingStyleNone and this should be one of these values.

Returns
  None.

## ◆ SetMeasureConversionFactor()

def FoxitPDFSDKPython2.Line.SetMeasureConversionFactor | ( |  | measure_type,
|  |  | factor
| ) |  |

Set the conversion factor for measuring.

A line annotation may have a measure dictionary that specifies an alternate coordinate system for a region of a page. Please refer to P745 in <PDF Reference 1.7> for more details.

Parameters

  [in] | measure_type | Measure type. Please refer to values starting from FoxitPDFSDKPython2.Markup.e_MeasureTypeX and this would be one of these values.
  [in] | factor | The conversion factor.

Returns
  None.

## ◆ SetMeasureRatio()

def FoxitPDFSDKPython2.Line.SetMeasureRatio | ( |  | ratio | ) |

Set the scale ratio string for measuring.

A line annotation may have a measure dictionary that specifies an alternate coordinate system for a region of a page. Scale ratio string expresses the scale ratio of the drawing in the region. Please refer to P745 in <PDF Reference 1.7> for more details.

Parameters

  [in] | ratio | A UTF-8 byte string expressing the scale ratio. The string should be like: "1/4 in = 1 ft", indicating that 1/4 inches in default user space is equivalent to 1 foot in real-world measurements.

Returns
  None.

## ◆ SetMeasureUnit()

def FoxitPDFSDKPython2.Line.SetMeasureUnit | ( |  | measure_type,
|  |  | unit
| ) |  |

Set the label for displaying the units for measuring.

A line annotation may have a measure dictionary that specifies an alternate coordinate system for a region of a page. Please refer to P745 in <PDF Reference 1.7> for more details.

Parameters

  [in] | measure_type | Measure type. Please refer to values starting from FoxitPDFSDKPython2.Markup.e_MeasureTypeX and this should be one of these values.
  [in] | unit | A UTF-8 text string that specifies a label for displaying the units.

Returns
  None.

## ◆ SetStartPoint()

def FoxitPDFSDKPython2.Line.SetStartPoint | ( |  | point | ) |

Set the start point.

Start point and end point are required for a line annotation. They have effect on line annotation's appearance.
If user wants the new start point has effect on annotation's appearance, please call function FoxitPDFSDKPython2.Annot.ResetAppearanceStream after setting new start point.

Parameters

  [in] | point | New point that specifies the start point.

Returns
  None.

## ◆ SetStyleFillColor()

def FoxitPDFSDKPython2.Line.SetStyleFillColor | ( |  | color | ) |

Set fill color for ending styles.

This property has effect on line annotation's appearance. Fill color is used for some line ending styles:
"Square", "Circle", "Diamond", "ClosedArrow", "RClosedArrow".
If user wants the new fill color has effect on annotation's appearance, please call function FoxitPDFSDKPython2.Annot.ResetAppearanceStream after setting new fill color.

Parameters

  [in] | color | New fill color of ending style. Format: 0xRRGGBB.

Returns
  None.